// 全局音频背景播放状态管理模块
const audioModules={
    namespaced: true,
    state:{
        show:false,//是否显示音频弹窗
        showBig:false,//显示大弹窗
        list:[],//[{url:音频地址,time:音频时长,title:音频标题,}]
        index:0,//当前是播放第几个
        reportId:0,//当前是哪个报告的音频
        voiceId:0,//当前是哪个语音播报的音频
        questionId:0,//当前是哪个问答的音频
        paused:true,//当前是否音频正在播放 true暂停状态
        curTime:0,//当前正在播放的音频播放的时间
        recordId:0,//播放记录id
        lastType:0,//上次播放的是那种的音频，用于更新媒体播放记录时长中的source
    },
    mutations: {
        addAudio(state,e){
            state.show=true
            state.list=e.list
            state.index=0
            state.reportId=e.reportId||0
            state.voiceId=e.voiceId||0
            state.questionId=e.questionId||0
        },
        updateAudioIndex(state,e){
            state.index=e
        },
        // 音频状态
        updateAudioPause(state,e){
            state.paused=e
        },
        // 更新音频播放进度
        updateAudioTime(state,e){
            state.curTime=e
        },
        removeAudio(state,e){
            state.show=false
            state.list=[]
            state.index=0
            state.reportId=0
            state.voiceId=0
            state.questionId=0
            state.paused=true
        },
        //显示弹窗
        showPopAudio(state){
            state.show=true
        },
        showBig(state,e){
            state.showBig=e
        },
        // 关闭弹窗
        closePopAudio(state){
            state.show=false
        },
        // 设置播放记录id
        addAudioRecordId(state,e){
            state.recordId=e.recordId
            state.lastType=e.source
        }
    }
}

export default audioModules;